hpp-fcl: hpp::fcl::BVNode< BV > Struct Template Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Member Functions | Public Attributes | List of all members
hpp::fcl::BVNode< BV > Struct Template Reference
Construction of BVHModel

A class describing a bounding volume node. It includes the tree structure providing in BVNodeBase and also the geometry data provided in BV template parameter. More...

`#include <hpp/fcl/BV/BV_node.h>`

Inheritance diagram for hpp::fcl::BVNode< BV >:

## Public Types
typedef BVNodeBase | Base

## Public Member Functions
bool | operator== (const BVNode &other) const
| Equality operator. More...
bool | operator!= (const BVNode &other) const
| Difference operator. More...
bool | overlap (const BVNode &other) const
| Check whether two BVNode collide. More...
bool | overlap (const BVNode &other, const CollisionRequest &request, FCL_REAL &sqrDistLowerBound) const
| Check whether two BVNode collide. More...
FCL_REAL | distance (const BVNode &other, Vec3f *P1=NULL, Vec3f *P2=NULL) const
| Compute the distance between two BVNode. P1 and P2, if not NULL and the underlying BV supports distance, return the nearest points. More...
Vec3f | getCenter () const
| Access to the center of the BV. More...
const Matrix3f & | getOrientation () const
| Access to the orientation of the BV. More...
const Matrix3f & | getOrientation () const
const Matrix3f & | getOrientation () const
const Matrix3f & | getOrientation () const
Public Member Functions inherited from hpp::fcl::BVNodeBase
| BVNodeBase ()
| Default constructor. More...
bool | operator== (const BVNodeBase &other) const
| Equality operator. More...
bool | operator!= (const BVNodeBase &other) const
| Difference operator. More...
bool | isLeaf () const
| Whether current node is a leaf node (i.e. contains a primitive index. More...
int | primitiveId () const
| Return the primitive index. The index is referred to the original data (i.e. vertices or tri_indices) in BVHModel. More...
int | leftChild () const
| Return the index of the first child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel. More...
int | rightChild () const
| Return the index of the second child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel. More...

## Public Attributes
BV | bv
| bounding volume storing the geometry More...
Public Attributes inherited from hpp::fcl::BVNodeBase
int | first_child
| An index for first child node or primitive If the value is positive, it is the index of the first child bv node If the value is negative, it is -(primitive index + 1) Zero is not used. More...
unsigned int | first_primitive
| The start id the primitive belonging to the current node. The index is referred to the primitive_indices in BVHModel and from that we can obtain the primitive's index in original data indirectly. More...
unsigned int | num_primitives
| The number of primitives belonging to the current node. More...

## Detailed Description

template<typename BV>
struct hpp::fcl::BVNode< BV >

A class describing a bounding volume node. It includes the tree structure providing in BVNodeBase and also the geometry data provided in BV template parameter.

## Member Function Documentation

## ◆ getOrientation() [1/3]

const Matrix3f & hpp::fcl::BVNode< OBB >::getOrientation | ( |  | ) | const
| inline

## ◆ getOrientation() [2/3]

const Matrix3f & hpp::fcl::BVNode< RSS >::getOrientation | ( |  | ) | const
| inline

## ◆ getOrientation() [3/3]

const Matrix3f & hpp::fcl::BVNode< OBBRSS >::getOrientation | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- include/hpp/fcl/BV/BV_node.h